Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class NewickWriter

    java.lang.Object
      info.bioinfweb.treegraph.document.io.AbstractDocumentWriter
          info.bioinfweb.treegraph.document.io.newick.NewickWriter

All Implemented Interfaces:
  DocumentWriter

    public class NewickWriter

extends AbstractDocumentWriter
implements DocumentWriter

This class writes a `Document` in a nexus file (contains only the newick string).

Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentWriter
`DEFAULT_ADAPTER, document`

Constructor Summary
`NewickWriter()`

Method Summary
`void` | `write(Document document, java.io.OutputStream stream)`
`void` | `write(Document document, java.io.OutputStream stream, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter leafAdapter, NodeBranchDataAdapter branchLengthAdapter)`

Methods inherited from class info.bioinfweb.treegraph.document.io.AbstractDocumentWriter
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.DocumentWriter
`write, write`

Constructor Detail

### NewickWriter

    public NewickWriter()

Method Detail

### write

    public void write(Document document,
                      java.io.OutputStream stream,
                      NodeBranchDataAdapter internalAdapter,
                      NodeBranchDataAdapter leafAdapter,
                      NodeBranchDataAdapter branchLengthAdapter)
               throws java.lang.Exception

  Specified by:
    `write` in interface `DocumentWriter`
  Throws:
    `java.lang.Exception`

### write

    public void write(Document document,
                      java.io.OutputStream stream)
               throws java.lang.Exception

  Specified by:
    `write` in interface `DocumentWriter`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD